Uploaded image for project: 'Couchbase Server'
  1. Couchbase Server
  2. MB-40214

non-root install script does not work with ubuntu18

    XMLWordPrintable

    Details

    • Triage:
      Untriaged
    • Story Points:
      1
    • Is this a Regression?:
      No

      Description

      Steps:

      1. Login as nonroot user to a ubuntu18 machine
      2. Download ubunut18 deb package for 6.6
      3. git clone non root install script
      4. mkdir ~/couchbase-home
      5. cd into non root install script directory
      6. Run command to install:

      ubuntu@ip-172-31-17-221:~/cb-non-package-installer$ ./cb-non-package-installer --install --install-location ../couchbase-home --package ../couchbase-server-enterprise_6.6.0-7853-ubuntu18.04_amd64.deb
      2020/06/30T04:51:49 ERROR: Cannot install Couchbase Server missing dependency: " libc6 (>= 2.27)"

      7. Check to ensure libc6 is installed:

      ubuntu@ip-172-31-17-221:~$ dpkg -l | grep libc6
      ii libc6:arm64 2.27-3ubuntu1 arm64 GNU C Library: Shared libraries

        Attachments

        No reviews matched the request. Check your Options in the drop-down menu of this sections header.

          Activity

          There are no commits yet on this issue.

            People

            Assignee:
            arunkumar Arunkumar Senthilnathan
            Reporter:
            arunkumar Arunkumar Senthilnathan
            Votes:
            0 Vote for this issue
            Watchers:
            2 Start watching this issue

              Dates

              Created:
              Updated:
              Resolved:

                Gerrit Reviews

                There are no open Gerrit changes

                  PagerDuty